def study():
    dic={
         '11':'from sum_of_numbers import *',
         '21':'from division import *',
         '22':'from division_print import *',
         '31':'from selection_sort import *',
         '32':'from selection_sort_exchange import *',
         '41':'from insertion_sort import *',
         '51':'from bubble_sort import *',
         '51p':'from bubble_sort_p import *',
         '52':'from bubble_sort_revised import *',
         '61':'from fibonacci_divide import *',
         '62':'from fibonacci_dynamic import *',
         '63':'from fibonacci_list import *',
         '64':'from fibonacci_tuple import *',
         '65':'from fibonacci_general import *',
         '71':'from hanoi import *',
         '72':'from shortest_path import *',
         '73':'from hanoi_number import *',
         '81':'from merge_sort import *',
         '81p':'from merge_sort_p import *',
         '91':'from quick_sort import *',
         '91p':'from quick_sort_p import *',
         '92':'from selection_sort_rec import *',
         '93':'from bubble_sort_rec import *',
         '94':'from insertion_sort_rec import *',
         '101':'from bst import *',
         '102':'from bst2  import *',
         '111':'from bt  import *',
         '111p':'from bt_p  import *',
         '121':'from heap_sort import *',
         '121p':'from heap_sort_p import *',
         '131':'from dijkstra import *',
         '141':'from min_max import *',
         '142':'from three import *',
         '143':'from pruning import *',
         '151':'from knapsack_div import *',
         '152':'from knapsack01 import *',
}
    num=input("Enter Code No. >> ")
    num=num.replace(".","")
    for item in [51,81,91,111,121]:
        if item == int(num):
            yn=input("Show on-going process? [Y/N] ")
            if yn!='N':
                num+='p'
                break
    src=dic[num]
    print(src)
    return src

if __name__ == '__main__':
    print('Please Enter:  exec(study())')
    import code
    console = code.InteractiveConsole(locals=locals())
    console.interact()
    study()

#    Enter:
#  exec(study())
#    ... 61 or 62
#  fib(3)

